I'm having trouble getting ZMySQLDA to install. Here's what I did:

(1) Installed MySQL-python-1.2.2 using the same python my Zope instance is using
(2) Dropped ZMySQLDA into my Instance/Products/ directory
(3) Restarted Zope, and here's the message I'm now getting:

2007-03-08T15:03:44 ERROR Zope Couldn't install ZMySQLDA
Traceback (most recent call last):
  File "/Applications/Plone-2.5.2/lib/python/OFS/Application.py", line 755, in
install_product
    global_dict, global_dict, silly)
  File "/Applications/Plone-2.5.2/Instance/Products/ZMySQLDA/__init__.py", line
91, in ?
    import DA
  File "/Applications/Plone-2.5.2/Instance/Products/ZMySQLDA/DA.py", line 92, 
in ?
    from db import DB
  File "/Applications/Plone-2.5.2/Instance/Products/ZMySQLDA/db.py", line 89, 
in ?
    import _mysql
  File "build/bdist.macosx-10.3-i386/egg/_mysql.py", line 7, in ?
  File "build/bdist.macosx-10.3-i386/egg/_mysql.py", line 6, in __bootstrap__
ImportError: Inappropriate file type for dynamic loading


Other possibly relevant info:

Zope Version 
(Zope 2.9.6-final, python 2.4.4, darwin)

Python Version
2.4.4 (#1, Jan 26 2007, 14:49:02) [GCC 4.0.1 (Apple Computer, Inc. build 5341)]

System Platform
darwin

SOFTWARE_HOME
/Applications/Plone-2.5.2/lib/python

ZOPE_HOME
/Applications/Plone-2.5.2

INSTANCE_HOME
/Applications/Plone-2.5.2/Instance

CLIENT_HOME
/Applications/Plone-2.5.2/Instance/var 

_______________________________________________
Zope-DB mailing list
Zope-DB@zope.org
http://mail.zope.org/mailman/listinfo/zope-db

Reply via email to